I have done some pretty cool things with the Revit api (in my opinion) but to simply draw a line seems to be one of the most difficult things you can do with the Revit API (Autocad is much much easier).
Lets try a model line, could you explain to me why even trying to get the example below from the SDK tells me "Curve must be in the plane". and by "absolute" do you mean anywhere in the model, looking any direction, I can a line that goes up and to the right with the same coordinates? Not a lot of good resources out there for this kind of thing unfortunately, hard to learn.
Thanks
' get handle to application from document
Dim application As Autodesk.Revit.ApplicationServices.Application = document.Application
' Create a geometry line in Revit application
Dim startPoint As New XYZ(0, 0, 0)
Dim endPoint As New XYZ(10, 10, 0)
Dim geomLine As Line = Line.CreateBound(startPoint, endPoint)
' Create a geometry arc in Revit application
Dim end0 As New XYZ(1, 0, 0)
Dim end1 As New XYZ(10, 10, 10)
Dim pointOnCurve As New XYZ(10, 0, 0)
Dim geomArc As Arc = Arc.Create(end0, end1, pointOnCurve)
' Create a geometry plane in Revit application
Dim origin As New XYZ(0, 0, 0)
Dim normal As New XYZ(1, 1, 0)
Dim geomPlane As Plane = application.Create.NewPlane(normal, origin)
' Create a sketch plane in current document
Dim sketch As SketchPlane = SketchPlane.Create(document, geomPlane)
' Create a ModelLine element using the created geometry line and sketch plane
Dim line__1 As ModelLine = TryCast(document.Create.NewModelCurve(geomLine, sketch), ModelLine)
' Create a ModelArc element using the created geometry arc and sketch plane